ZenLib

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ZenLib::CriticalSectionLocker Class Reference

CriticalSectionLocker helper. More...

`#include <CriticalSection.h>`

## Public Member Functions
| CriticalSectionLocker (ZenLib::CriticalSection &CS)
| ~CriticalSectionLocker ()

## Detailed Description

CriticalSectionLocker helper.

## Constructor & Destructor Documentation

ZenLib::CriticalSectionLocker::CriticalSectionLocker | ( | ZenLib::CriticalSection & | CS | ) |
| inline

References ZenLib::CriticalSection::Enter().

ZenLib::CriticalSectionLocker::~CriticalSectionLocker | ( |  | ) |
| inline

References ZenLib::CriticalSection::Leave().

The documentation for this class was generated from the following file:

- CriticalSection.h